## flashlauncher 0.1-maemo0

=== Makefile ===
#############################################################################
# Makefile for building: flashlauncher
# Generated by qmake (2.01a) (Qt 4.5.3) on: Sun May 9 23:16:10 2010
# Project:  flashlauncher.pro
# Template: subdirs
# Command: /usr/bin/qmake -unix -o Makefile flashlauncher.pro
#############################################################################

first: make_default
MAKEFILE      = Makefile
QMAKE         = /usr/bin/qmake
DEL_FILE      = rm -f
CHK_DIR_EXISTS= test -d
MKDIR         = mkdir -p
COPY          = cp -f
COPY_FILE     = $(COPY)
COPY_DIR      = $(COPY) -r
INSTALL_FILE  = install -m 644 -p
INSTALL_PROGRAM = install -m 755 -p
INSTALL_DIR   = $(COPY_DIR)
DEL_FILE      = rm -f
SYMLINK       = ln -sf
DEL_DIR       = rmdir
MOVE          = mv -f
CHK_DIR_EXISTS= test -d
MKDIR         = mkdir -p
SUBTARGETS    =  \
		sub-flashlauncher

flashlauncher/$(MAKEFILE): 
	@$(CHK_DIR_EXISTS) flashlauncher/ || $(MKDIR) flashlauncher/ 
	cd flashlauncher/ && $(QMAKE) flashlauncher.pro -unix -o $(MAKEFILE)
sub-flashlauncher-qmake_all:  FORCE
	@$(CHK_DIR_EXISTS) flashlauncher/ || $(MKDIR) flashlauncher/ 
	cd flashlauncher/ && $(QMAKE) flashlauncher.pro -unix -o $(MAKEFILE)
sub-flashlauncher: flashlauncher/$(MAKEFILE) FORCE
	cd flashlauncher/ && $(MAKE) -f $(MAKEFILE)
sub-flashlauncher-make_default: flashlauncher/$(MAKEFILE) FORCE
	cd flashlauncher/ && $(MAKE) -f $(MAKEFILE) 
sub-flashlauncher-make_first: flashlauncher/$(MAKEFILE) FORCE
	cd flashlauncher/ && $(MAKE) -f $(MAKEFILE) first
sub-flashlauncher-all: flashlauncher/$(MAKEFILE) FORCE
	cd flashlauncher/ && $(MAKE) -f $(MAKEFILE) all
sub-flashlauncher-clean: flashlauncher/$(MAKEFILE) FORCE
	cd flashlauncher/ && $(MAKE) -f $(MAKEFILE) clean
sub-flashlauncher-distclean: flashlauncher/$(MAKEFILE) FORCE
	cd flashlauncher/ && $(MAKE) -f $(MAKEFILE) distclean
sub-flashlauncher-install_subtargets: flashlauncher/$(MAKEFILE) FORCE
	cd flashlauncher/ && $(MAKE) -f $(MAKEFILE) install
sub-flashlauncher-uninstall_subtargets: flashlauncher/$(MAKEFILE) FORCE
	cd flashlauncher/ && $(MAKE) -f $(MAKEFILE) uninstall

Makefile: flashlauncher.pro  /targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/linux-g++-gles2/qmake.conf /targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/common/g++.conf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/common/unix.conf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/common/linux.conf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/qconfig.pri \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/qt_functions.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/qt_config.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/exclusive_builds.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/default_pre.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/release.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/default_post.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/warn_on.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/qt.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/unix/thread.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/moc.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/resources.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/uic.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/yacc.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/lex.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/include_source_dir.prf
	$(QMAKE) -unix -o Makefile flashlauncher.pro
/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/common/g++.conf:
/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/common/unix.conf:
/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/common/linux.conf:
/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/qconfig.pri:
/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/qt_functions.prf:
/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/qt_config.prf:
/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/exclusive_builds.prf:
/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/default_pre.prf:
/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/release.prf:
/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/default_post.prf:
/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/warn_on.prf:
/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/qt.prf:
/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/unix/thread.prf:
/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/moc.prf:
/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/resources.prf:
/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/uic.prf:
/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/yacc.prf:
/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/lex.prf:
/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/include_source_dir.prf:
qmake: qmake_all FORCE
	@$(QMAKE) -unix -o Makefile flashlauncher.pro

qmake_all: sub-flashlauncher-qmake_all FORCE

make_default: sub-flashlauncher-make_default FORCE
make_first: sub-flashlauncher-make_first FORCE
all: sub-flashlauncher-all FORCE
clean: sub-flashlauncher-clean FORCE
distclean: sub-flashlauncher-distclean FORCE
	-$(DEL_FILE) Makefile
install_subtargets: sub-flashlauncher-install_subtargets FORCE
uninstall_subtargets: sub-flashlauncher-uninstall_subtargets FORCE

mocclean: compiler_moc_header_clean compiler_moc_source_clean

mocables: compiler_moc_header_make_all compiler_moc_source_make_all
install: install_subtargets  FORCE

uninstall:  uninstall_subtargets FORCE

FORCE:

=== flashlauncher-build-simulator/Makefile ===
#############################################################################
# Makefile for building: flashlauncher
# Generated by qmake (2.01a) (Qt 4.7.0) on: Mon May 10 00:06:00 2010
# Project:  ../flashlauncher/flashlauncher.pro
# Template: app
# Command: /home/maemo/NokiaQtSDK/Simulator/Qt/gcc/bin/qmake -spec /scratchbox/maemo/NokiaQtSDK/Simulator/Qt/gcc/mkspecs/linux-g++ -o Makefile ../flashlauncher/flashlauncher.pro
#############################################################################

####### Compiler, tools and options

CC            = gcc
CXX           = g++
DEFINES       = -DQT_NO_PRINTER -DDATADIR="/usr/share" -DPKGDATADIR="" -DQT_WEBKIT_LIB -DQT_GUI_LIB -DQT_NETWORK_LIB -DQT_CORE_LIB -DQT_SHARED
CFLAGS        = -pipe -g -Wall -W -D_REENTRANT $(DEFINES)
CXXFLAGS      = -pipe -g -Wall -W -D_REENTRANT $(DEFINES)
INCPATH       = -I/scratchbox/maemo/NokiaQtSDK/Simulator/Qt/gcc/mkspecs/linux-g++ -I../flashlauncher -I/scratchbox/maemo/NokiaQtSDK/Simulator/Qt/gcc/include/QtCore -I/scratchbox/maemo/NokiaQtSDK/Simulator/Qt/gcc/include/QtNetwork -I/scratchbox/maemo/NokiaQtSDK/Simulator/Qt/gcc/include/QtGui -I/scratchbox/maemo/NokiaQtSDK/Simulator/Qt/gcc/include/QtWebKit -I/scratchbox/maemo/NokiaQtSDK/Simulator/Qt/gcc/include -I/scratchbox/maemo/NokiaQtSDK/Simulator/Qt/gcc/include/QtDBus -I. -I. -I../flashlauncher -I.
LINK          = g++
LFLAGS        = -Wl,-rpath,/home/maemo/NokiaQtSDK/Simulator/Qt/gcc/lib
LIBS          = $(SUBLIBS)  -L/home/maemo/NokiaQtSDK/Simulator/Qt/gcc/lib -lQtDBus -L/home/maemo/NokiaQtSDK/Simulator/Qt/gcc/lib -lQtXml -lQtWebKit -lQtGui -L/usr/X11R6/lib -lQtNetwork -lQtCore -lpthread 
AR            = ar cqs
RANLIB        = 
QMAKE         = /home/maemo/NokiaQtSDK/Simulator/Qt/gcc/bin/qmake
TAR           = tar -cf
COMPRESS      = gzip -9f
COPY          = cp -f
SED           = sed
COPY_FILE     = $(COPY)
COPY_DIR      = $(COPY) -r
STRIP         = strip
INSTALL_FILE  = install -m 644 -p
INSTALL_DIR   = $(COPY_DIR)
INSTALL_PROGRAM = install -m 755 -p
DEL_FILE      = rm -f
SYMLINK       = ln -f -s
DEL_DIR       = rmdir
MOVE          = mv -f
CHK_DIR_EXISTS= test -d
MKDIR         = mkdir -p

####### Output directory

OBJECTS_DIR   = ./

####### Files

SOURCES       = ../flashlauncher/main.cpp \
		../flashlauncher/mainwindow.cpp \
		../flashlauncher/appdetail.cpp \
		../flashlauncher/simplefetch.cpp \
		../flashlauncher/launcher.cpp \
		../flashlauncher/mainwindowline.cpp moc_mainwindow.cpp \
		moc_appdetail.cpp \
		moc_simplefetch.cpp \
		moc_mainwindowline.cpp \
		qrc_icons.cpp
OBJECTS       = main.o \
		mainwindow.o \
		appdetail.o \
		simplefetch.o \
		launcher.o \
		mainwindowline.o \
		moc_mainwindow.o \
		moc_appdetail.o \
		moc_simplefetch.o \
		moc_mainwindowline.o \
		qrc_icons.o
DIST          = /scratchbox/maemo/NokiaQtSDK/Simulator/Qt/gcc/mkspecs/common/g++.conf \
		/scratchbox/maemo/NokiaQtSDK/Simulator/Qt/gcc/mkspecs/common/unix.conf \
		/scratchbox/maemo/NokiaQtSDK/Simulator/Qt/gcc/mkspecs/common/linux.conf \
		/scratchbox/maemo/NokiaQtSDK/Simulator/Qt/gcc/mkspecs/qconfig.pri \
		/scratchbox/maemo/NokiaQtSDK/Simulator/Qt/gcc/mkspecs/features/qt_functions.prf \
		/scratchbox/maemo/NokiaQtSDK/Simulator/Qt/gcc/mkspecs/features/qt_config.prf \
		/scratchbox/maemo/NokiaQtSDK/Simulator/Qt/gcc/mkspecs/features/exclusive_builds.prf \
		/scratchbox/maemo/NokiaQtSDK/Simulator/Qt/gcc/mkspecs/features/default_pre.prf \
		/scratchbox/maemo/NokiaQtSDK/Simulator/Qt/gcc/mkspecs/features/debug.prf \
		/scratchbox/maemo/NokiaQtSDK/Simulator/Qt/gcc/mkspecs/features/default_post.prf \
		/scratchbox/maemo/NokiaQtSDK/Simulator/Qt/gcc/mkspecs/features/qdbus.prf \
		/scratchbox/maemo/NokiaQtSDK/Simulator/Qt/gcc/mkspecs/features/moc.prf \
		/scratchbox/maemo/NokiaQtSDK/Simulator/Qt/gcc/mkspecs/features/dbusinterfaces.prf \
		/scratchbox/maemo/NokiaQtSDK/Simulator/Qt/gcc/mkspecs/features/dbusadaptors.prf \
		/scratchbox/maemo/NokiaQtSDK/Simulator/Qt/gcc/mkspecs/features/warn_on.prf \
		/scratchbox/maemo/NokiaQtSDK/Simulator/Qt/gcc/mkspecs/features/qt.prf \
		/scratchbox/maemo/NokiaQtSDK/Simulator/Qt/gcc/mkspecs/features/unix/thread.prf \
		/scratchbox/maemo/NokiaQtSDK/Simulator/Qt/gcc/mkspecs/features/resources.prf \
		/scratchbox/maemo/NokiaQtSDK/Simulator/Qt/gcc/mkspecs/features/uic.prf \
		/scratchbox/maemo/NokiaQtSDK/Simulator/Qt/gcc/mkspecs/features/yacc.prf \
		/scratchbox/maemo/NokiaQtSDK/Simulator/Qt/gcc/mkspecs/features/lex.prf \
		/scratchbox/maemo/NokiaQtSDK/Simulator/Qt/gcc/mkspecs/features/include_source_dir.prf \
		../flashlauncher/flashlauncher.pro
QMAKE_TARGET  = flashlauncher
DESTDIR       = 
TARGET        = flashlauncher

first: all
####### Implicit rules

.SUFFIXES: .o .c .cpp .cc .cxx .C

.cpp.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o "$@" "$<"

.cc.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o "$@" "$<"

.cxx.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o "$@" "$<"

.C.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o "$@" "$<"

.c.o:
	$(CC) -c $(CFLAGS) $(INCPATH) -o "$@" "$<"

####### Build rules

all: Makefile $(TARGET)

$(TARGET): ui_mainwindow.h ui_appdetail.h ui_mainwindowline.h $(OBJECTS)  
	$(LINK) $(LFLAGS) -o $(TARGET) $(OBJECTS) $(OBJCOMP) $(LIBS)

Makefile: ../flashlauncher/flashlauncher.pro  /scratchbox/maemo/NokiaQtSDK/Simulator/Qt/gcc/mkspecs/linux-g++/qmake.conf /scratchbox/maemo/NokiaQtSDK/Simulator/Qt/gcc/mkspecs/common/g++.conf \
		/scratchbox/maemo/NokiaQtSDK/Simulator/Qt/gcc/mkspecs/common/unix.conf \
		/scratchbox/maemo/NokiaQtSDK/Simulator/Qt/gcc/mkspecs/common/linux.conf \
		/scratchbox/maemo/NokiaQtSDK/Simulator/Qt/gcc/mkspecs/qconfig.pri \
		/scratchbox/maemo/NokiaQtSDK/Simulator/Qt/gcc/mkspecs/features/qt_functions.prf \
		/scratchbox/maemo/NokiaQtSDK/Simulator/Qt/gcc/mkspecs/features/qt_config.prf \
		/scratchbox/maemo/NokiaQtSDK/Simulator/Qt/gcc/mkspecs/features/exclusive_builds.prf \
		/scratchbox/maemo/NokiaQtSDK/Simulator/Qt/gcc/mkspecs/features/default_pre.prf \
		/scratchbox/maemo/NokiaQtSDK/Simulator/Qt/gcc/mkspecs/features/debug.prf \
		/scratchbox/maemo/NokiaQtSDK/Simulator/Qt/gcc/mkspecs/features/default_post.prf \
		/scratchbox/maemo/NokiaQtSDK/Simulator/Qt/gcc/mkspecs/features/qdbus.prf \
		/scratchbox/maemo/NokiaQtSDK/Simulator/Qt/gcc/mkspecs/features/moc.prf \
		/scratchbox/maemo/NokiaQtSDK/Simulator/Qt/gcc/mkspecs/features/dbusinterfaces.prf \
		/scratchbox/maemo/NokiaQtSDK/Simulator/Qt/gcc/mkspecs/features/dbusadaptors.prf \
		/scratchbox/maemo/NokiaQtSDK/Simulator/Qt/gcc/mkspecs/features/warn_on.prf \
		/scratchbox/maemo/NokiaQtSDK/Simulator/Qt/gcc/mkspecs/features/qt.prf \
		/scratchbox/maemo/NokiaQtSDK/Simulator/Qt/gcc/mkspecs/features/unix/thread.prf \
		/scratchbox/maemo/NokiaQtSDK/Simulator/Qt/gcc/mkspecs/features/resources.prf \
		/scratchbox/maemo/NokiaQtSDK/Simulator/Qt/gcc/mkspecs/features/uic.prf \
		/scratchbox/maemo/NokiaQtSDK/Simulator/Qt/gcc/mkspecs/features/yacc.prf \
		/scratchbox/maemo/NokiaQtSDK/Simulator/Qt/gcc/mkspecs/features/lex.prf \
		/scratchbox/maemo/NokiaQtSDK/Simulator/Qt/gcc/mkspecs/features/include_source_dir.prf \
		/home/maemo/NokiaQtSDK/Simulator/Qt/gcc/lib/libQtDBus.prl \
		/home/maemo/NokiaQtSDK/Simulator/Qt/gcc/lib/libQtXml.prl \
		/home/maemo/NokiaQtSDK/Simulator/Qt/gcc/lib/libQtCore.prl \
		/home/maemo/NokiaQtSDK/Simulator/Qt/gcc/lib/libQtWebKit.prl \
		/home/maemo/NokiaQtSDK/Simulator/Qt/gcc/lib/libQtGui.prl \
		/home/maemo/NokiaQtSDK/Simulator/Qt/gcc/lib/libQtNetwork.prl
	$(QMAKE) -spec /scratchbox/maemo/NokiaQtSDK/Simulator/Qt/gcc/mkspecs/linux-g++ -o Makefile ../flashlauncher/flashlauncher.pro
/scratchbox/maemo/NokiaQtSDK/Simulator/Qt/gcc/mkspecs/common/g++.conf:
/scratchbox/maemo/NokiaQtSDK/Simulator/Qt/gcc/mkspecs/common/unix.conf:
/scratchbox/maemo/NokiaQtSDK/Simulator/Qt/gcc/mkspecs/common/linux.conf:
/scratchbox/maemo/NokiaQtSDK/Simulator/Qt/gcc/mkspecs/qconfig.pri:
/scratchbox/maemo/NokiaQtSDK/Simulator/Qt/gcc/mkspecs/features/qt_functions.prf:
/scratchbox/maemo/NokiaQtSDK/Simulator/Qt/gcc/mkspecs/features/qt_config.prf:
/scratchbox/maemo/NokiaQtSDK/Simulator/Qt/gcc/mkspecs/features/exclusive_builds.prf:
/scratchbox/maemo/NokiaQtSDK/Simulator/Qt/gcc/mkspecs/features/default_pre.prf:
/scratchbox/maemo/NokiaQtSDK/Simulator/Qt/gcc/mkspecs/features/debug.prf:
/scratchbox/maemo/NokiaQtSDK/Simulator/Qt/gcc/mkspecs/features/default_post.prf:
/scratchbox/maemo/NokiaQtSDK/Simulator/Qt/gcc/mkspecs/features/qdbus.prf:
/scratchbox/maemo/NokiaQtSDK/Simulator/Qt/gcc/mkspecs/features/moc.prf:
/scratchbox/maemo/NokiaQtSDK/Simulator/Qt/gcc/mkspecs/features/dbusinterfaces.prf:
/scratchbox/maemo/NokiaQtSDK/Simulator/Qt/gcc/mkspecs/features/dbusadaptors.prf:
/scratchbox/maemo/NokiaQtSDK/Simulator/Qt/gcc/mkspecs/features/warn_on.prf:
/scratchbox/maemo/NokiaQtSDK/Simulator/Qt/gcc/mkspecs/features/qt.prf:
/scratchbox/maemo/NokiaQtSDK/Simulator/Qt/gcc/mkspecs/features/unix/thread.prf:
/scratchbox/maemo/NokiaQtSDK/Simulator/Qt/gcc/mkspecs/features/resources.prf:
/scratchbox/maemo/NokiaQtSDK/Simulator/Qt/gcc/mkspecs/features/uic.prf:
/scratchbox/maemo/NokiaQtSDK/Simulator/Qt/gcc/mkspecs/features/yacc.prf:
/scratchbox/maemo/NokiaQtSDK/Simulator/Qt/gcc/mkspecs/features/lex.prf:
/scratchbox/maemo/NokiaQtSDK/Simulator/Qt/gcc/mkspecs/features/include_source_dir.prf:
/home/maemo/NokiaQtSDK/Simulator/Qt/gcc/lib/libQtDBus.prl:
/home/maemo/NokiaQtSDK/Simulator/Qt/gcc/lib/libQtXml.prl:
/home/maemo/NokiaQtSDK/Simulator/Qt/gcc/lib/libQtCore.prl:
/home/maemo/NokiaQtSDK/Simulator/Qt/gcc/lib/libQtWebKit.prl:
/home/maemo/NokiaQtSDK/Simulator/Qt/gcc/lib/libQtGui.prl:
/home/maemo/NokiaQtSDK/Simulator/Qt/gcc/lib/libQtNetwork.prl:
qmake:  FORCE
	@$(QMAKE) -spec /scratchbox/maemo/NokiaQtSDK/Simulator/Qt/gcc/mkspecs/linux-g++ -o Makefile ../flashlauncher/flashlauncher.pro

dist: 
	@$(CHK_DIR_EXISTS) ../flashlauncher/.tmp/flashlauncher1.0.0 || $(MKDIR) ../flashlauncher/.tmp/flashlauncher1.0.0 
	$(COPY_FILE) --parents $(SOURCES) $(DIST) ../flashlauncher/.tmp/flashlauncher1.0.0/ && $(COPY_FILE) --parents ../flashlauncher/mainwindow.h ../flashlauncher/appdetail.h ../flashlauncher/simplefetch.h ../flashlauncher/launcher.h ../flashlauncher/mainwindowline.h ../flashlauncher/.tmp/flashlauncher1.0.0/ && $(COPY_FILE) --parents ../flashlauncher/icons.qrc ../flashlauncher/.tmp/flashlauncher1.0.0/ && $(COPY_FILE) --parents ../flashlauncher/main.cpp ../flashlauncher/mainwindow.cpp ../flashlauncher/appdetail.cpp ../flashlauncher/simplefetch.cpp ../flashlauncher/launcher.cpp ../flashlauncher/mainwindowline.cpp ../flashlauncher/.tmp/flashlauncher1.0.0/ && $(COPY_FILE) --parents ../flashlauncher/mainwindow.ui ../flashlauncher/appdetail.ui ../flashlauncher/mainwindowline.ui ../flashlauncher/.tmp/flashlauncher1.0.0/ && (cd `dirname ../flashlauncher/.tmp/flashlauncher1.0.0` && $(TAR) flashlauncher1.0.0.tar flashlauncher1.0.0 && $(COMPRESS) flashlauncher1.0.0.tar) && $(MOVE) `dirname ../flashlauncher/.tmp/flashlauncher1.0.0`/flashlauncher1.0.0.tar.gz . && $(DEL_FILE) -r ../flashlauncher/.tmp/flashlauncher1.0.0


clean:compiler_clean 
	-$(DEL_FILE) $(OBJECTS)
	-$(DEL_FILE) *~ core *.core


####### Sub-libraries

distclean: clean
	-$(DEL_FILE) $(TARGET) 
	-$(DEL_FILE) Makefile


check: first

mocclean: compiler_moc_header_clean compiler_moc_source_clean

mocables: compiler_moc_header_make_all compiler_moc_source_make_all

compiler_moc_header_make_all: moc_mainwindow.cpp moc_appdetail.cpp moc_simplefetch.cpp moc_mainwindowline.cpp
compiler_moc_header_clean:
	-$(DEL_FILE) moc_mainwindow.cpp moc_appdetail.cpp moc_simplefetch.cpp moc_mainwindowline.cpp
moc_mainwindow.cpp: ../flashlauncher/mainwindowline.h \
		../flashlauncher/mainwindow.h
	/home/maemo/NokiaQtSDK/Simulator/Qt/gcc/bin/moc $(DEFINES) $(INCPATH) ../flashlauncher/mainwindow.h -o moc_mainwindow.cpp

moc_appdetail.cpp: ../flashlauncher/appdetail.h
	/home/maemo/NokiaQtSDK/Simulator/Qt/gcc/bin/moc $(DEFINES) $(INCPATH) ../flashlauncher/appdetail.h -o moc_appdetail.cpp

moc_simplefetch.cpp: ../flashlauncher/simplefetch.h

=== debian/changelog ===
flashlauncher (0.1-maemo0) unstable; urgency=low

  * Initial release

 -- Attila Csipa <maemo@csipa.in.rs>  Sun, 09 May 2010 23:21:54 +0100

=== debian/control ===
Source: flashlauncher
Section: user/games
Priority: extra
Maintainer: Attila Csipa <maemo@csipa.in.rs>
Build-Depends: debhelper (>= 5), libqt4-dev (>= 4.5.0)
Standards-Version: 3.8.0
Homepage: downloads.maemo.org

Package: flashlauncher
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Flash Application Database And Launcher
 Flashlauncher is a flash game^H^H^H^H application database
 and launcher that facilitates the easy use of Maemo device
 friendly flash content.
XB-Maemo-Icon-26:
 iVBORw0KGgoAAAANSUhEUgAAADAAAAAwCAIAAADYYG7QAAAACXBIWXMAAA9h
 AAAPYQGoP6dpAAAACXZwQWcAAAAwAAAAMADO7oxXAAAQt0lEQVRYw41Za3Bd
 V3Vea+19zn1bD1uW5diW9bKcxFKc2HLsJA6QMGCnUGgC004HOmSmLf1RoBna
 hEApMw1MC7TTkjAtdGiHxBCnpRQT5+UE/MLEThS/ZVtKYst6XenKsl73fc7e
 a/XHvrpWHdKw586ZI+mcfdde61vf+tYSZjIZRBQQBBQR3/cjUf3a0ddXNq1t
 bKo3xhIRVBYiAiIwAxEBsCJtuDx4cUCraFt7p2UGcJuF0Wjs4MEjPT09nucB
 IiIA4MI+IgKIKCIigggiCOB+EgIAAREWZvY8ncmMneg9HY+nljfVG8Pubc/z
 PM9beAcQAYCJVGDKx189EYvUFgqlM2dOeZ7nNor6sZmZ6VQqGY3FGABFQFjE
 CIiIAAAgiwgAIpIIIDIiIiAJECKKgIj4fiRzdeLixZGW9o516zvCIBQQRUoR
 jY+Njo+NEi2cFFEEfJ/6z19Y09rctr6zZ+vtEd+/dGkwEtHa19l8oe/chbUt
 LSyCCIAoQIgaAQGAWUCImQEtgAUQZsNsWUQQtAgggAD4njd46XJHx/p4zC+X
 ykopENG+OnLkSH2qjtkMjQz39GxBJBZGpCAIPc9rbGrKZ+cRqPPGm0+dPHH+
 XN73/ampmZtu6qqprTVhiIiCC3ECEJHKqYhFBASBiTRZyyIowFpEAAQRmW1N
 Ta0JSmyte8fX3uTkeMyL3bLpViAZuXz51InezVu2cWi1pyYmJn0/4nteOWD3
 +sZbbysUiojQ2tYhImEQVPHn7HBXRBQICYEZSWmlIZvLxuIJUMoa0AAuqBCE
 4aqVN1x88+KKlSs1krXGgiBRw7L6YrEUBsENa5ot88DAwLp1nQicncs2NC63
 XLGeWZhNNBpBJGtDREFUi62pmCICgABKmLXGcqn0+vHTxXLB83R7e3tT0w26
 4kMBa20qVdPYtPzEyePr2tuTS5ZEIv7M1VlFWikyRIVccc2atRcunE+nhxsa
 V+QKhY6aWmMNVrIIER3sLTMjoohFRKWcWeIMExFEi0KkMAzDs2fOd3R0NK5c
 Xi6Vzp7tK5WLOD4+vgiqEon4U5OTQ0PD9UvrjTGlYmn9jTeRIgAgIhHxfO9C
 36lyMdvUvK6pcYUx1h0dgBeSGZLJBJECAGOCYrFEpAGsSx5EBCAQikYjfX19
 sXisvbU1n897ngaUU6fPamcNgEtmLJXKDcsbGxqbCoUCAsTicWNDF1WXsiaw
 zS1rDzz75OqVzUiauayUFmEAQEIEicejzz33s+eefzEeT3zmM390S/fGXD6v
 SAmIIvckCdogKDPbhmXLSkFJaWWsRYRNm24jWVgAiIhEFIRhEJQjET8SjYRh
 AAIVnAGEYbCkJvHqq7/6/g9/8tOfPlPKZz3fZxZEARC2nEzGv/F3j33sY5/8
 9x/88Dv//MTW2+/as2dPKplkCRFBGIHB5ZCInZmZiUQ8RBGw7jtKpf8bst94
 dTfMzMzRSDRXmL7nng8O9F8EgD/8g99/cteTxWLJsZ1SEITBptt6BgeHIpGI
 iARB0Li84eixX9+walUYBgCAgABawEajfv+FN/P5bFd3l7Xs+14YGhGmKnqq
 mekIo2pN9V4ppTz72c/+2UD/Rd/zldJPP/OfDz74IBFora21zKgU1NQuAQBj
 TBiGnudlJq+c6D3pezFhQUQkRARFulwqt7W3JBPJ3tffOH3q7PE33gARAKSq
 Kc4NAIBIjpyq9lg2IFhTF/+LL37hub37tNahCZmt1vpHP9r9wAOfLJbma2qW
 iFAquSTiR6/zsSICABGFoABAwAgYJGSWdZ2dm7dsvuPO24vFUn9/fzQWIaiW
 KHAlExxCpWKPAFoEVbc08eiX/uoH39vlnOH+Zq31fX/fvld2fPijhw4d9KN2
 9zO7e3tPIJK1VmsdBMHtm3vef8+9hWKBSAkwgCCSK7QIWCoFJhBhqa2pV0oj
 IKbTaURCBARAAkABQecyIoUolm1tbeKrX330m3//hNbaMi+GuTuGtVYptbZl
 1djoeKkUVP3d3dX99O6nO9evKxYLRM5f4sLGwggoLIBAqI4cOdKzZbPW2hlU
 qZpE1e9yBgEzpFKJw0f377j3o4QklYp0/XIU5fiwauJ9H97x49274slEEJSJ
 lLDzDSAKUqWMWGtjseixo683LF/W3NwcBAEBCIBFBBFgBhB0/AYogNZyORLV
 Bw4dEgHP90npRfLo2mJmEVFKVQ0CgJ5Nm2rrlmWz8yLsoiwiCCSAIAAI1tp4
 PHH2zPlYLNrS0hIEATqTmZGZK/gRS4QAQCjMQKQL+fJHf+cjyVSyVCpZY6pu
 eDezHLYA4J+++8TL+15YWt+YTNQlE0mlkTk0NmC2zCBWYrH45cGhmZnZ7u6N
 5XLZHQPHxsYQCVEQRYSQhFARIUAlviKcSMR6j/eePnl2fn5u9+5nzp+/4GIE
 /+8SkVgsevfd29/3vu333Htve3vb0vplAErEFIp5T+tCoXz8+PFtd2xDFGEH
 FsF0Ou3qxkJxFiIBRGClfR2GRUItIqlUUmtfaz3w9tntd917JXPlPW1aUAEM
 AJ7nLV++fMuWzdu337V169ZNm25D0ocPHtrQfVNtXa01VhgFbDXLAElANKBF
 cMWbPc+bujK1dGkDswuHiDBbW99Yc/8Dn3h+z4uL8///sYmIANEaUyVeP+L/
 zVe+eFN7a1Nz65Zt28vlklNqlgGRyeU7CIkwggIgtpJMJr717W90dNz48Bcf
 jvoRY42T90rrciE/MjhUVYDvGTVrrTXGIV0p5XleGJrHHvv2aGaqtX19b+8b
 YRh6nmZhQkAESKfT6Ynx8fHxTCaTyWTS6fTc7Fzv8V/FE77bdNd//FBEMpNj
 V69Oi8iTT/2b2x1/u/XOJ51Cem7vXhHJZNLHjv16aOhSaIr5wmw2N0MiglKh
 XVdBIzH9k5/+pJAPIpEIADzylUcP/vLlaMQPTPZ733/ic3/+l/DbLSIiRcxM
 C5zogmitraut3bBhfRAWa2prbrml++rV6XPnLiilfd/DsbExV24YBAQVkcXi
 +97/gbcuDJJSwgwAvue1tDTPZ7Pp9MRvk1/OGscCkUjEEUy1OllrOzs6jr32
 62gsbtkQUSTiDw4OX7lyZc3q1aS09n3fumaJw1RN/PDhg29dGFRKC7NDYmBM
 /8Bb6fTEgh59b2ustatWrfqXf/1u37kz3/7Hb1WLgbs2LFsaj8eMCR3OCoXi
 muZVra0tly4Nwv6DB/r6+jKZicnJyZGRoULp6od2fgAAtNbXBd4R8XsuZ3TL
 2pb+/n4RzhfnROSRRx4GAN/3Pc8DgA998F7Lwfz8dC4/6z5z89P5wlw5yFNr
 W3OhWDhztm8yM9nQ0Hjw8KGXXzyASNbydSzsOLp61ndbLAIATzz+eGdnx9TV
 TFg2hUL2Cw99fkXTiiAIXOC23Xmnq4xVNUaEzBwEAUxMjE1NTw4OX9p/cH/f
 6d5PfmLnO91TFWgVdgfQWv/GRHPuub1ny/z83MzM1Hz26nx2enZ2KrTlZ/f+
 vH1dRzyZePDBB7PZ2Vx+NpubyeXmcrnZbG5mPjvtrtpYCPOlulQdtMjLe3fP
 zU6/G8VZa4motq62XA6KhYIz6DqAO9NvvrEznoxMT+eRfKVIKVXI5+67b+ed
 d9wxPTfdvLo5CEoiQojVbn9hKyJgTiRSI6PD/WcGdn7803d88D4XIKXoOnXR
 07N5z8/3HH396MFfHfjy175SU1f7zkLrCsWzz79w8e2LDUubotEou1aeKJud
 i0S91TesLJeLFZ2+SC5X9Y965NGHz587m8sWN966kbS+e/vdK5tXHdp/sFwq
 a11pI5l5RWPjCy88v2nTbb6nVjQ07PzQjrvef8fzL76Um89eJ0iUUvl8/uir
 xwSsUnrVqlXGhIhISMJg2AJUgn1tNrOY91/et++1116/MnUlnU6PjaXHRscK
 xcK+Q6903NjhwKRdXtxzTz6fS4+PTk6lJ6+kx8eHRezT//UUAChS18GJiKpk
 +I3H/tbY8uzczHx2Jptzn9mFm5lcfraKnrn5q9ncDK1Z09LW3lIulQGACJVW
 01dntm3seeEXL+78vY8YY9xBmlvaiJQiIiQi0p43Nzuz6daNySVJy3bRMOpa
 M+/5PgA89dSuudkZpUCEF6jo2mPXhiHoiJCptj5ZKpQBF1pTEe3pbD5f6yd2
 73rqS1/7cnxJfOPGjZ/7/BdKpWJFgwIwS03t0ktDQ7n5HOG7aEhmANixY0dN
 TW2wMAl5Z4+16JcAQDg0eDmeTIhwGBoiqswmiCwbBEosiY+m00sSSxKJaFAO
 SKEbqEV8/6WX9j365b/uvzCglHJYvg5Jxpju7u6X9u1LpRLGlJVSiE4xX5vO
 VMdfTv8zA+7ff0ATLVu2bGnDMhYGAUQGJARgYbYSjUSNNQJGK4/FImq25T/+
 kz/d++yL1bomIosd4EpHfX39K6+80tW1IZfPKwWIBAKADECuIa3mb9WpiIjj
 ExPZXHY0fVmF3s3dNwdh6DIAkUUQ0IqgowA3aItFo5cuvrnl9rutZSIKw3Dx
 XGxxi7h799P333///PyM0gSiiMB1VwAIaN+JucrQ01qTSia6urqmi3OlUtkp
 fAAUQEBA0IpUxbEAAFAslVo7O+773Z3GGAd5rTQtKrquzn/9619/4IGPz81P
 K61ACJBZmAgBUQDwHbCrNqsaBMIw1Mr3RDFWhqxSGasJMAEIIggLADlNYAL+
 zuOPNzevfXnfLwbO94cmdMmPCgkpCIJPferTDz300Nz8XEUdIBKB70Xn57Ok
 KJVMBUEZYGFD4KprRQSHRkdTqdjgW28X8sH6G9cFYUikq6SFKOBcIxVeIQVs
 wdM6sSQ2l82ePHX60OHDP/vvPRf6zjsK3bp167N7/8fzIiKiFIIAImjfe+NY
 Lwso7aeSqXWdbSJsjCiNrnNfcBJiemxkZHQ0O5vruqXLskVSUAG/gCBqBnay
 X4Q1EQIYQBQhYasUxmKxSDRydW52/+FDP9719NXxiX/41jd7tm7JZXNYCQ1G
 ot7Y2MTI8Nid27eVy4XxsUxmIrOhq8v3PZfL7swiIox48MAvI9H42rXNC0Nx
 JCIRAwgAGsEgqgUIEQIBAqC41kDAAIiwkKLaurqJ9GS+MD81NaXQa+9ojSVi
 QTlAUTqipyYnTWBXrl4ZBuVYPDaemRwZHN54WzczABACywIdUPv6zta2Nmsr
 E8KF1CUQAhERBWgX0pkr4QMBtAKGCJVSSisimpmeHujvT8QTGzZsaGhsGHjz
 7eHBEU972ietlVI6X8ghAhAWCsWmFSvqltamx8Y9TwMYWTy6AAtBuVxtWgBE
 wDrjEBlRQEgE3FRbKvGDaxVA0PWB58/1t3e0J1OJMAwbly/r6r45sHzy5JmJ
 9ER+NjtyeTgaTQqTGzlYY2pSNdNT04joIHQty8TRC6FDO7MQARECWIclABKw
 RCAMSCjIYhnRBV5YTDwee+utS/X19bV1KWOsIhUaAwBtbatzuWVDly6fPHmq
 ceXK5U0NQRAIgFIYiUQyk1eQSBiZQS0qJDgyPAwVMVAZJSEIYKWyLDCQJUT3
 XxRSCMCLZWQ+l3/77Uu33roxNMHijgdElPKUUpaN8jwTBCKoFRUKhaHLw8aa
 dZ3rPM9ji4ACUBmPaNfWL2JYBmSH2Wq5UYQC4qIkDAAKCQQEBJSvyuWgoaER
 6ZrOkgXfshVrDRJzqYRESqGx5mzf+da2lhWNDWFohN0YlKsg+l8frQ+RvI/j
 pQAAACV0RVh0Y3JlYXRlLWRhdGUAMjAxMC0wNS0wOVQyMjo0MDo1NiswMDow
 MOBo/lQAAAARdEVYdGpwZWc6Y29sb3JzcGFjZQAyLHVVnwAAACB0RVh0anBl
 ZzpzYW1wbGluZy1mYWN0b3IAMXgxLDF4MSwxeDHplfxwAAAAJXRFWHRtb2Rp
 ZnktZGF0ZQAyMDEwLTA1LTA5VDIyOjQwOjU2KzAwOjAwv9mIYAAAAABJRU5E
 rkJggg==

## flashlauncher 0.1-maemo1

=== debian/changelog ===
flashlauncher (0.1-maemo1) unstable; urgency=low

  * Initial release
  * Dependency fixes by hard dependencies. Ugh.

 -- Attila Csipa <maemo@csipa.in.rs>  Sun, 09 May 2010 23:21:54 +0100

=== debian/control ===
--- 
+++ 
@@ -5,14 +5,16 @@
 Build-Depends: debhelper (>= 5), libqt4-dev (>= 4.5.0)
 Standards-Version: 3.8.0
 Homepage: downloads.maemo.org
+XSBC-Bugtracker: https://bugs.maemo.org/enter_bug.cgi?product=flashlauncher
 
 Package: flashlauncher
 Architecture: any
-Depends: ${shlibs:Depends}, ${misc:Depends}
+Depends: libc6, libgcc1, libqt4-core (>= 4.5), libqt4-dbus (>= 4.5), libqt4-gui (>= 4.5), libqt4-network (>= 4.5), libqt4-phonon (>= 4.5), libqt4-webkit (>= 4.5), libqt4-xml (>= 4.5), libqt4-xmlpatterns (>= 4.5), libstdc++6 
 Description: Flash Application Database And Launcher
  Flashlauncher is a flash game^H^H^H^H application database
  and launcher that facilitates the easy use of Maemo device
  friendly flash content.
+XB-Maemo-Display-Name: Flash Launcher
 XB-Maemo-Icon-26:
  iVBORw0KGgoAAAANSUhEUgAAADAAAAAwCAIAAADYYG7QAAAACXBIWXMAAA9h
  AAAPYQGoP6dpAAAACXZwQWcAAAAwAAAAMADO7oxXAAAQt0lEQVRYw41Za3Bd

=== debian/rules ===
#!/usr/bin/make -f
APPNAME := flashlauncher
builddir:
	mkdir -p builddir

builddir/Makefile: builddir
	cd builddir && qmake-qt4 PREFIX=/usr ../$(APPNAME).pro

build: build-stamp

build-stamp: builddir/Makefile
	dh_testdir
	# Add here commands to compile the package.
	cd builddir && $(MAKE)
	touch $@

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp
	# Add here commands to clean up after the build process.
	rm -rf builddir
	dh_clean
install: build
	dh_testdir
	dh_testroot
	dh_clean -k
	dh_installdirs
#	dh_install -X.svn


	# Add here commands to install the package into debian/your_appname
	cd builddir && $(MAKE) INSTALL_ROOT=$(CURDIR)/debian/$(APPNAME) install
# Build architecture-independent files here.
binary-indep: build install
# We have nothing to do by default.

# Build architecture-dependent files here.
binary-arch: build install
	dh_testdir
	dh_testroot
	dh_installdocs
	dh_installexamples
	dh_installman
	dh_link
	dh_strip
	dh_compress
	dh_fixperms
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install configure

## flashlauncher 0.1-maemo2

=== debian/changelog ===
flashlauncher (0.1-maemo2) unstable; urgency=low

  * Initial release
  * (further) Dependency fixes by hard dependencies. Ugh.

 -- Attila Csipa <maemo@csipa.in.rs>  Sun, 09 May 2010 23:21:54 +0100

## flashlauncher 0.1-maemo4

=== debian/changelog ===
flashlauncher (0.1-maemo4) unstable; urgency=low

  * Initial release
  * (further) Dependency fixes by hard dependencies. Ugh.

 -- Attila Csipa <maemo@csipa.in.rs>  Sun, 09 May 2010 23:21:54 +0100

=== debian/control ===
--- 
+++ 
@@ -2,7 +2,7 @@
 Section: user/games
 Priority: extra
 Maintainer: Attila Csipa <maemo@csipa.in.rs>
-Build-Depends: debhelper (>= 5), libqt4-dev (>= 4.5.0)
+Build-Depends: debhelper (>= 5), libqt4-dev
 Standards-Version: 3.8.0
 Homepage: downloads.maemo.org
 XSBC-Bugtracker: https://bugs.maemo.org/enter_bug.cgi?product=flashlauncher

=== debian/rules ===
--- 
+++ 
@@ -4,7 +4,9 @@
 	mkdir -p builddir
 
 builddir/Makefile: builddir
-	cd builddir && qmake-qt4 PREFIX=/usr ../$(APPNAME).pro
+	qmake -v
+	cd builddir && qmake PREFIX=/usr ../$(APPNAME).pro
+#	cd builddir && qmake-qt4 PREFIX=/usr ../$(APPNAME).pro
 
 build: build-stamp

## flashlauncher 0.1-maemo5

=== Makefile ===
--- 
+++ 
@@ -1,14 +1,14 @@
 #############################################################################
 # Makefile for building: flashlauncher
-# Generated by qmake (2.01a) (Qt 4.5.3) on: Sun May 9 23:16:10 2010
+# Generated by qmake (2.01a) (Qt 4.5.3) on: Mon May 10 12:00:00 2010
 # Project:  flashlauncher.pro
 # Template: subdirs
-# Command: /usr/bin/qmake -unix -o Makefile flashlauncher.pro
+# Command: /usr/bin/qmake-qt4 -unix -o Makefile flashlauncher.pro
 #############################################################################
 
 first: make_default
 MAKEFILE      = Makefile
-QMAKE         = /usr/bin/qmake
+QMAKE         = /usr/bin/qmake-qt4
 DEL_FILE      = rm -f
 CHK_DIR_EXISTS= test -d
 MKDIR         = mkdir -p

=== debian/changelog ===
flashlauncher (0.1-maemo5) unstable; urgency=low

  * Initial release
  * (further) Dependency fixes by hard dependencies. Ugh.

 -- Attila Csipa <maemo@csipa.in.rs>  Sun, 09 May 2010 23:21:54 +0100

=== debian/control ===
--- 
+++ 
@@ -2,14 +2,14 @@
 Section: user/games
 Priority: extra
 Maintainer: Attila Csipa <maemo@csipa.in.rs>
-Build-Depends: debhelper (>= 5), libqt4-dev
+Build-Depends: debhelper (>= 5), libqt4-dev (>= 4.5.0)
 Standards-Version: 3.8.0
 Homepage: downloads.maemo.org
 XSBC-Bugtracker: https://bugs.maemo.org/enter_bug.cgi?product=flashlauncher
 
 Package: flashlauncher
 Architecture: any
-Depends: libc6, libgcc1, libqt4-core (>= 4.5), libqt4-dbus (>= 4.5), libqt4-gui (>= 4.5), libqt4-network (>= 4.5), libqt4-phonon (>= 4.5), libqt4-webkit (>= 4.5), libqt4-xml (>= 4.5), libqt4-xmlpatterns (>= 4.5), libstdc++6 
+Depends: ${shlibs:Depends}, ${misc:Depends}
 Description: Flash Application Database And Launcher
  Flashlauncher is a flash game^H^H^H^H application database
  and launcher that facilitates the easy use of Maemo device

=== debian/rules ===
--- 
+++ 
@@ -4,9 +4,9 @@
 	mkdir -p builddir
 
 builddir/Makefile: builddir
-	qmake -v
-	cd builddir && qmake PREFIX=/usr ../$(APPNAME).pro
-#	cd builddir && qmake-qt4 PREFIX=/usr ../$(APPNAME).pro
+#	qmake -v
+#	cd builddir && /opt/qt4-maemo5/bin/qmake PREFIX=/usr ../$(APPNAME).pro
+	cd builddir && qmake-qt4 PREFIX=/usr ../$(APPNAME).pro
 
 build: build-stamp

## flashlauncher 0.2-maemo0

=== debian/changelog ===
flashlauncher (0.2-maemo0) unstable; urgency=low

  * Lots and lots of UI polish
  * Add games manually

 -- Attila Csipa <maemo@csipa.in.rs>  Thu, 13 May 2010 15:22:25 +0100

flashlauncher (0.1.1-maemo0) unstable; urgency=low

  * Maemo5 friendlification, UI polishing

 -- Attila Csipa <maemo@csipa.in.rs>  Sun, 09 May 2010 23:21:54 +0100

## flashlauncher 0.3-maemo0

=== flashlauncher-build-simulator/Makefile ===
--- 
+++ 
@@ -1,9 +1,9 @@
 #############################################################################
 # Makefile for building: flashlauncher
-# Generated by qmake (2.01a) (Qt 4.7.0) on: Mon May 10 00:06:00 2010
+# Generated by qmake (2.01a) (Qt 4.7.0) on: Thu May 13 18:59:26 2010
 # Project:  ../flashlauncher/flashlauncher.pro
 # Template: app
-# Command: /home/maemo/NokiaQtSDK/Simulator/Qt/gcc/bin/qmake -spec /scratchbox/maemo/NokiaQtSDK/Simulator/Qt/gcc/mkspecs/linux-g++ -o Makefile ../flashlauncher/flashlauncher.pro
+# Command: /home/maemo/NokiaQtSDK/Simulator/Qt/gcc/bin/qmake -spec /home/maemo/NokiaQtSDK/Simulator/Qt/gcc/mkspecs/linux-g++ -o Makefile ../flashlauncher/flashlauncher.pro
 #############################################################################
 
 ####### Compiler, tools and options
@@ -13,7 +13,7 @@
 DEFINES       = -DQT_NO_PRINTER -DDATADIR="/usr/share" -DPKGDATADIR="" -DQT_WEBKIT_LIB -DQT_GUI_LIB -DQT_NETWORK_LIB -DQT_CORE_LIB -DQT_SHARED
 CFLAGS        = -pipe -g -Wall -W -D_REENTRANT $(DEFINES)
 CXXFLAGS      = -pipe -g -Wall -W -D_REENTRANT $(DEFINES)
-INCPATH       = -I/scratchbox/maemo/NokiaQtSDK/Simulator/Qt/gcc/mkspecs/linux-g++ -I../flashlauncher -I/scratchbox/maemo/NokiaQtSDK/Simulator/Qt/gcc/include/QtCore -I/scratchbox/maemo/NokiaQtSDK/Simulator/Qt/gcc/include/QtNetwork -I/scratchbox/maemo/NokiaQtSDK/Simulator/Qt/gcc/include/QtGui -I/scratchbox/maemo/NokiaQtSDK/Simulator/Qt/gcc/include/QtWebKit -I/scratchbox/maemo/NokiaQtSDK/Simulator/Qt/gcc/include -I/scratchbox/maemo/NokiaQtSDK/Simulator/Qt/gcc/include/QtDBus -I. -I. -I../flashlauncher -I.
+INCPATH       = -I/home/maemo/NokiaQtSDK/Simulator/Qt/gcc/mkspecs/linux-g++ -I../flashlauncher -I/scratchbox/maemo/NokiaQtSDK/Simulator/Qt/gcc/include/QtCore -I/scratchbox/maemo/NokiaQtSDK/Simulator/Qt/gcc/include/QtNetwork -I/scratchbox/maemo/NokiaQtSDK/Simulator/Qt/gcc/include/QtGui -I/scratchbox/maemo/NokiaQtSDK/Simulator/Qt/gcc/include/QtWebKit -I/scratchbox/maemo/NokiaQtSDK/Simulator/Qt/gcc/include -I/scratchbox/maemo/NokiaQtSDK/Simulator/Qt/gcc/include/QtDBus -I. -I. -I../flashlauncher -I.
 LINK          = g++
 LFLAGS        = -Wl,-rpath,/home/maemo/NokiaQtSDK/Simulator/Qt/gcc/lib
 LIBS          = $(SUBLIBS)  -L/home/maemo/NokiaQtSDK/Simulator/Qt/gcc/lib -lQtDBus -L/home/maemo/NokiaQtSDK/Simulator/Qt/gcc/lib -lQtXml -lQtWebKit -lQtGui -L/usr/X11R6/lib -lQtNetwork -lQtCore -lpthread 
@@ -48,10 +48,14 @@
 		../flashlauncher/appdetail.cpp \
 		../flashlauncher/simplefetch.cpp \
 		../flashlauncher/launcher.cpp \
-		../flashlauncher/mainwindowline.cpp moc_mainwindow.cpp \
+		../flashlauncher/mainwindowline.cpp \
+		../flashlauncher/addgame.cpp \
+		../flashlauncher/addswfs.cpp moc_mainwindow.cpp \
 		moc_appdetail.cpp \
 		moc_simplefetch.cpp \
 		moc_mainwindowline.cpp \
+		moc_addgame.cpp \
+		moc_addswfs.cpp \
 		qrc_icons.cpp
 OBJECTS       = main.o \
 		mainwindow.o \
@@ -59,10 +63,14 @@
 		simplefetch.o \
 		launcher.o \
 		mainwindowline.o \
+		addgame.o \
+		addswfs.o \
 		moc_mainwindow.o \
 		moc_appdetail.o \
 		moc_simplefetch.o \
 		moc_mainwindowline.o \
+		moc_addgame.o \
+		moc_addswfs.o \
 		qrc_icons.o
 DIST          = /scratchbox/maemo/NokiaQtSDK/Simulator/Qt/gcc/mkspecs/common/g++.conf \
 		/scratchbox/maemo/NokiaQtSDK/Simulator/Qt/gcc/mkspecs/common/unix.conf \
@@ -115,10 +123,10 @@
 
 all: Makefile $(TARGET)
 
-$(TARGET): ui_mainwindow.h ui_appdetail.h ui_mainwindowline.h $(OBJECTS)  
+$(TARGET): ui_mainwindow.h ui_appdetail.h ui_mainwindowline.h ui_addgame.h ui_addswfs.h $(OBJECTS)  
 	$(LINK) $(LFLAGS) -o $(TARGET) $(OBJECTS) $(OBJCOMP) $(LIBS)
 
-Makefile: ../flashlauncher/flashlauncher.pro  /scratchbox/maemo/NokiaQtSDK/Simulator/Qt/gcc/mkspecs/linux-g++/qmake.conf /scratchbox/maemo/NokiaQtSDK/Simulator/Qt/gcc/mkspecs/common/g++.conf \
+Makefile: ../flashlauncher/flashlauncher.pro  /home/maemo/NokiaQtSDK/Simulator/Qt/gcc/mkspecs/linux-g++/qmake.conf /scratchbox/maemo/NokiaQtSDK/Simulator/Qt/gcc/mkspecs/common/g++.conf \
 		/scratchbox/maemo/NokiaQtSDK/Simulator/Qt/gcc/mkspecs/common/unix.conf \
 		/scratchbox/maemo/NokiaQtSDK/Simulator/Qt/gcc/mkspecs/common/linux.conf \
 		/scratchbox/maemo/NokiaQtSDK/Simulator/Qt/gcc/mkspecs/qconfig.pri \
@@ -146,7 +154,7 @@
 		/home/maemo/NokiaQtSDK/Simulator/Qt/gcc/lib/libQtWebKit.prl \
 		/home/maemo/NokiaQtSDK/Simulator/Qt/gcc/lib/libQtGui.prl \
 		/home/maemo/NokiaQtSDK/Simulator/Qt/gcc/lib/libQtNetwork.prl
-	$(QMAKE) -spec /scratchbox/maemo/NokiaQtSDK/Simulator/Qt/gcc/mkspecs/linux-g++ -o Makefile ../flashlauncher/flashlauncher.pro
+	$(QMAKE) -spec /home/maemo/NokiaQtSDK/Simulator/Qt/gcc/mkspecs/linux-g++ -o Makefile ../flashlauncher/flashlauncher.pro
 /scratchbox/maemo/NokiaQtSDK/Simulator/Qt/gcc/mkspecs/common/g++.conf:
 /scratchbox/maemo/NokiaQtSDK/Simulator/Qt/gcc/mkspecs/common/unix.conf:
 /scratchbox/maemo/NokiaQtSDK/Simulator/Qt/gcc/mkspecs/common/linux.conf:
@@ -176,11 +184,11 @@
 /home/maemo/NokiaQtSDK/Simulator/Qt/gcc/lib/libQtGui.prl:
 /home/maemo/NokiaQtSDK/Simulator/Qt/gcc/lib/libQtNetwork.prl:
 qmake:  FORCE
-	@$(QMAKE) -spec /scratchbox/maemo/NokiaQtSDK/Simulator/Qt/gcc/mkspecs/linux-g++ -o Makefile ../flashlauncher/flashlauncher.pro
+	@$(QMAKE) -spec /home/maemo/NokiaQtSDK/Simulator/Qt/gcc/mkspecs/linux-g++ -o Makefile ../flashlauncher/flashlauncher.pro
 
 dist: 
 	@$(CHK_DIR_EXISTS) ../flashlauncher/.tmp/flashlauncher1.0.0 || $(MKDIR) ../flashlauncher/.tmp/flashlauncher1.0.0 
-	$(COPY_FILE) --parents $(SOURCES) $(DIST) ../flashlauncher/.tmp/flashlauncher1.0.0/ && $(COPY_FILE) --parents ../flashlauncher/mainwindow.h ../flashlauncher/appdetail.h ../flashlauncher/simplefetch.h ../flashlauncher/launcher.h ../flashlauncher/mainwindowline.h ../flashlauncher/.tmp/flashlauncher1.0.0/ && $(COPY_FILE) --parents ../flashlauncher/icons.qrc ../flashlauncher/.tmp/flashlauncher1.0.0/ && $(COPY_FILE) --parents ../flashlauncher/main.cpp ../flashlauncher/mainwindow.cpp ../flashlauncher/appdetail.cpp ../flashlauncher/simplefetch.cpp ../flashlauncher/launcher.cpp ../flashlauncher/mainwindowline.cpp ../flashlauncher/.tmp/flashlauncher1.0.0/ && $(COPY_FILE) --parents ../flashlauncher/mainwindow.ui ../flashlauncher/appdetail.ui ../flashlauncher/mainwindowline.ui ../flashlauncher/.tmp/flashlauncher1.0.0/ && (cd `dirname ../flashlauncher/.tmp/flashlauncher1.0.0` && $(TAR) flashlauncher1.0.0.tar flashlauncher1.0.0 && $(COMPRESS) flashlauncher1.0.0.tar) && $(MOVE) `dirname ../flashlauncher/.tmp/flashlauncher1.0.0`/flashlauncher1.0.0.tar.gz . && $(DEL_FILE) -r ../flashlauncher/.tmp/flashlauncher1.0.0
+	$(COPY_FILE) --parents $(SOURCES) $(DIST) ../flashlauncher/.tmp/flashlauncher1.0.0/ && $(COPY_FILE) --parents ../flashlauncher/mainwindow.h ../flashlauncher/appdetail.h ../flashlauncher/simplefetch.h ../flashlauncher/launcher.h ../flashlauncher/mainwindowline.h ../flashlauncher/addgame.h ../flashlauncher/addswfs.h ../flashlauncher/.tmp/flashlauncher1.0.0/ && $(COPY_FILE) --parents ../flashlauncher/icons.qrc ../flashlauncher/.tmp/flashlauncher1.0.0/ && $(COPY_FILE) --parents ../flashlauncher/main.cpp ../flashlauncher/mainwindow.cpp ../flashlauncher/appdetail.cpp ../flashlauncher/simplefetch.cpp ../flashlauncher/launcher.cpp ../flashlauncher/mainwindowline.cpp ../flashlauncher/addgame.cpp ../flashlauncher/addswfs.cpp ../flashlauncher/.tmp/flashlauncher1.0.0/ && $(COPY_FILE) --parents ../flashlauncher/mainwindow.ui ../flashlauncher/appdetail.ui ../flashlauncher/mainwindowline.ui ../flashlauncher/addgame.ui ../flashlauncher/addswfs.ui ../flashlauncher/.tmp/flashlauncher1.0.0/ && (cd `dirname ../flashlauncher/.tmp/flashlauncher1.0.0` && $(TAR) flashlauncher1.0.0.tar flashlauncher1.0.0 && $(COMPRESS) flashlauncher1.0.0.tar) && $(MOVE) `dirname ../flashlauncher/.tmp/flashlauncher1.0.0`/flashlauncher1.0.0.tar.gz . && $(DEL_FILE) -r ../flashlauncher/.tmp/flashlauncher1.0.0
 
 
 clean:compiler_clean 
@@ -201,14 +209,8 @@
 
 mocables: compiler_moc_header_make_all compiler_moc_source_make_all
 
-compiler_moc_header_make_all: moc_mainwindow.cpp moc_appdetail.cpp moc_simplefetch.cpp moc_mainwindowline.cpp
+compiler_moc_header_make_all: moc_mainwindow.cpp moc_appdetail.cpp moc_simplefetch.cpp moc_mainwindowline.cpp moc_addgame.cpp moc_addswfs.cpp
 compiler_moc_header_clean:
-	-$(DEL_FILE) moc_mainwindow.cpp moc_appdetail.cpp moc_simplefetch.cpp moc_mainwindowline.cpp
+	-$(DEL_FILE) moc_mainwindow.cpp moc_appdetail.cpp moc_simplefetch.cpp moc_mainwindowline.cpp moc_addgame.cpp moc_addswfs.cpp
 moc_mainwindow.cpp: ../flashlauncher/mainwindowline.h \
-		../flashlauncher/mainwindow.h
-	/home/maemo/NokiaQtSDK/Simulator/Qt/gcc/bin/moc $(DEFINES) $(INCPATH) ../flashlauncher/mainwindow.h -o moc_mainwindow.cpp
-
-moc_appdetail.cpp: ../flashlauncher/appdetail.h
-	/home/maemo/NokiaQtSDK/Simulator/Qt/gcc/bin/moc $(DEFINES) $(INCPATH) ../flashlauncher/appdetail.h -o moc_appdetail.cpp
-
-moc_simplefetch.cpp: ../flashlauncher/simplefetch.h
+		../flashlauncher/appdetail.h \

=== debian/changelog ===
flashlauncher (0.3-maemo0) unstable; urgency=low

  * New funky design from zorkworks
  * import swf
  * Game param editor

 -- Attila Csipa <maemo@csipa.in.rs>  Thu, 13 May 2010 15:22:25 +0100

=== debian/rules ===
--- 
+++ 
@@ -33,6 +33,7 @@
 
 	# Add here commands to install the package into debian/your_appname
 	cd builddir && $(MAKE) INSTALL_ROOT=$(CURDIR)/debian/$(APPNAME) install
+#	cd builddir && $(MAKE) INSTALL_ROOT=$(CURDIR)/debian/$(APPNAME)-experimental install
 # Build architecture-independent files here.
 binary-indep: build install
 # We have nothing to do by default.
